/*

echo.h - Echo service

Listen on port 7, and whatever we are sent, send it back.
https://en.wikipedia.org/wiki/Echo_Protocol

*/

#ifndef ECHO_H
#define	ECHO_H

/*...sincludes:0:*/
#include "types.h"
#include "net.h"

/*...vtypes\46\h:0:*/
/*...vnet\46\h:0:*/
/*...e*/

#define	ECHO_PORT 7

#define	ECHO_BUF_SIZE 256

typedef struct
	{
	SOCKET_ALLOC socket_alloc;
	byte buf[ECHO_BUF_SIZE];
	} ECHO;	

extern void echo_start(ECHO *echo);
extern void echo_init(void);

#endif
